Skip to main content

Put Update Chat Room


<button style={{ marginBottom: "10px" }} class="button button--outline button--active button--danger"> Put

https://api.deadsimplechat.com/consumer/api/v1/chatroom/:roomId

Put Update Chat Room

This endpoint allows you to update the chat room.

info

The auth query parameter is your private key. You can find it in your Dashboard under Developer -> Private Key.

ParametersDescription
Path
roomIDstringroomId of the chat room you want to update
Query
authstringDashboard->Developer-> Private Key is your auth.
Body
customizationobjectCustomization of the chat room user interface. See Create Chat Room for the accepted keys.
translationobjectTranslation strings for the chat room user interface. See loadTranslation for the accepted keys.
customCSSstringCustom css you want to pass to the chat room
mainColorstringMain colour of the chat room, as a CSS colour value (maximum length: 20)
sidebarColorstringColour of the chat room sidebar, as a CSS colour value (maximum length: 20)
hideInviteButtonstring"on" or "off". When "on" the invite button is hidden in the chat room.
defaultNotificationEnabledstring"on" or "off". When "on" the notification sound is enabled by default, when "off" the notification sound is disabled by default.
fileSharingModestringblank, imageSharing or fileAndImageSharing. If blank then fileSharing is disabled. If imageSharing then only images can be shared in the chatRoom, fileAndImageSharing then images and files can be shared in the chatRoom.
enableChannelsstring"on" or "off". When "on", channels are enabled in the chatroom.
enableLikeMessagestring"on" or "off". When "on" participants can like and react to messages.
moderatorOnlyOneToOneChatstring"on" or "off". When "on" only moderators can have 1-1 chat with participants.
enableOneToOneChatstring"on" or "off". When "on" then One to One Private Chat is enabled in the chatroom.
preModeratedChatRoomstring"on" or "off". When "on" then Pre-Moderated Chat is enabled in the chat room.
roomPasswordstringIf passwordProtected is turned on then roomPassword has to be specified. If passwordProtected is turned off then this property has no effect.
passwordProtectedstringon or off
descriptionstringdescription of the chat room
namestringname of the chatroom
metadatastringmetadata of the chat room (maxlength: 1000)
info

Unlike Create Chat Room, this endpoint does not accept chatRoomPermissionLevel. Sending it returns a 400 validation error.

Responses

200

JSON

{
"success": true,
"roomId": "MUn5FkFjb",
"url": "https://deadsimplechat.com/MUn5FkFjb"
}

400

JSON

{
"error": {
"_original": {
"name": "cool chat room",
"passwordProtected": true
},
"details": [
{
"message": "\"passwordProtected\" must be one of [on, off, false]",
"path": [
"passwordProtected"
],
"type": "any.only",
"context": {
"valids": [
"on",
"off",
false
],
"label": "passwordProtected",
"value": true,
"key": "passwordProtected"
}
}
]
}
}